<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Block_Adminhtml_System_Config_Field_CarrierCodes_Amazon extends Mage_Core_Block_Html_Select
{
    public function _toHtml()
    {
        /** @var Creativestyle_AmazonCheckout_Model_Amazon_CarrierCode $carrierCodes */
        $carrierCodes = Mage::getSingleton('amazonpay/amazon_carrierCode');

        foreach ($carrierCodes->getCarrierCodes() as $code => $title) {
            $this->addOption($code, $title);
        }

        return parent::_toHtml();
    }

    public function setInputName($value)
    {
        return $this->setName($value);
    }
}
